#target illustrator
var myPath = '~/Desktop';
var myName = 'test';
var _userInteraction = app.userInteractionLevel;
app.userInteractionLevel = UserInteractionLevel.DONTDISPLAYALERTS;
var myDocPreset = new DocumentPreset;
myDocPreset.units = RulerUnits.Inches;      
myDocPreset.width = 360;
myDocPreset.height = 360;
myDocPreset.numArtboards = 1;
myDocPreset.colorMode = DocumentColorSpace.RGB;
myDocPreset.rasterResolution = DocumentRasterResolution.HighResolution;
var myDoc = app.documents.addDocument("Print", myDocPreset);
app.paste();
myDoc.fitArtboardToSelectedArt(0);
// Export the file to SVG (using AI's "Save as" SVG method)
var myFile = new File(myPath+"/"+myName+".svg");
var n = 1;
while (myFile.exists) {
	myFile = new File(myPath+"/"+myName+"-"+String(n)+".svg");
	n++;
}
var myOptions = new ExportOptionsSVG();
myOptions.DTD = SVGDTDVersion.SVG1_1;
myOptions.artboardRange = 1;
myOptions.compressed = false;
myOptions.coordinatePrecision = 3;
myOptions.cssProperties = SVGCSSPropertyLocation.STYLEELEMENTS;
myOptions.documentEncoding = SVGDocumentEncoding.UTF8;
myOptions.embedRasterImages = true;
myOptions.fontSubsetting = SVGFontSubsetting.GLYPHSUSED;
myOptions.fontType = SVGFontType.OUTLINEFONT;
myOptions.includeFileInfo = false;
myOptions.includeUnusedStyles = false;
myOptions.includeVariablesAndDataSets = false;
myOptions.optimizeforSVGViewer = true;
myOptions.preserveEditability = false;
myOptions.saveMultipleArtboards = false;
myOptions.slices = false;
myOptions.sVGAutoKerning = false;
myOptions.sVGTextOnPath = false;
myDoc.exportFile(myFile, ExportType.SVG, myOptions);
myDoc.close(SaveOptions.DONOTSAVECHANGES);
app.userInteractionLevel = _userInteraction;